export interface IUser {
    name: string;
    email: string;
}
export declare class User implements IUser {
    name: string;
    email: string;
    private constructor();
    static build(obj: any): User;
}
export interface IAuthConfiguration {
    authority: string;
    clientId: string;
    scope: string;
    responseType: string;
    postLogoutRedirectUri: string;
    redirectUri: string;
    automaticSilentRenew: boolean;
    includeIdTokenInSilentRenew: boolean;
    silentRedirectUri: string;
    afterSuccessfulLoginDefaultPath: string;
    afterSuccessfulLogoutPath: string;
}
